
/* classe Dichotomie : recherche d'un zro d'une fonction */

public class Dichotomie{
    double xInf;
    double xSup;
    double zero;
    double precision;
    private Fonction fonc;

    Dichotomie (Fonction f) {
	fonc = f;
    }

    private boolean testerIntervalle(){
	return(fonc.calculer(xInf)*fonc.calculer(xSup)<=0);
    }

    public void reduireIntervalle(){
	double b = xSup;
	xSup = (xInf + xSup) / 2;
	if (testerIntervalle ())
	    return;
	xInf = xSup;
	xSup = b;

    }

    public void chercherZero(){
	while (xSup - xInf > precision)
	    reduireIntervalle ();
	zero = (xInf + xSup) / 2;
    }

}
