import java.lang.Math;

/** Classe Piece Echec
 */

public class PieceEchec {

    protected String nom;
    protected int pos_deb_x, pos_deb_y, pos_fin_x, pos_fin_y;
    
    PieceEchec() {
	pos_deb_x = 0;
	pos_deb_y = 0;
	pos_fin_x = 0;
	pos_fin_y = 0;
    }

    PieceEchec(int de_x, int de_y, int fin_x, int fin_y, String petit_nom) {
	pos_deb_x = de_x;
	pos_deb_y = de_y;
	pos_fin_x = fin_x;
	pos_fin_y = fin_y;
	nom = petit_nom;
    }  

    public double norme() {
	double res;
	res = Math.sqrt((pos_fin_x - pos_deb_x)^2 + (pos_fin_y - pos_deb_y)^2);
	return res;
    }

    public boolean estvalide() {
	return ((0 < pos_fin_x) && (pos_fin_x < 9) &&
	 (0 < pos_fin_y) && (pos_fin_y < 9));
    }

    public void imprimer() {
	System.out.println("nom :"+nom);
	System.out.println("debut : ("+pos_deb_x+","+pos_deb_y+")");
	System.out.println("fin : ("+pos_fin_x+","+pos_fin_y+")");
    }

}
